> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/uruguay/creditcard.md).

# Credit Card

### Payin by CreditCard

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by CreditCard in Uruguay.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                                       | Type   | Description                                                                                             |
| ---------------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------- |
| app\_id<mark style="color:red;">\*</mark>                  | string | <p>Created app's ID at dashboard.<br>Max. 32 chars.</p>                                                 |
| out\_trade\_no<mark style="color:red;">\*</mark>           | string | <p>ID given by the merchant in their system.<br>Max. 64 chars.</p>                                      |
| method<mark style="color:red;">\*</mark>                   | string | Fixed value: `CreditCard`.                                                                              |
| order\_currency<mark style="color:red;">\*</mark>          | string | Fixed value: `UYU`.                                                                                     |
| order\_amount<mark style="color:red;">\*</mark>            | string | <p>Payment amount.<br>Range: <code>1</code> - <code>30,000.00</code>.<br>Only integer.</p>              |
| subject<mark style="color:red;">\*</mark>                  | string | <p>Payment reason or item title.<br>Max. 128 chars.</p>                                                 |
| content                                                    | string | <p>Payment reason detail or item detail.<br>Max. 255 chars.</p>                                         |
| timestamp<mark style="color:red;">\*</mark>                | string | <p>Format: <code>yyyy-MM-dd HH:mm:ss</code>.<br>Max. 19 chars.</p>                                      |
| notify\_url<mark style="color:red;">\*</mark>              | string | Where Pagsmile will send notification to.                                                               |
| buyer\_id<mark style="color:red;">\*</mark>                | string | Merchant user's ID.                                                                                     |
| Token<mark style="color:red;">\*</mark>                    | string | The card token returned by the [Card Tokenization API](https://docs.pagsmile.com/payin/tools/tokenize). |
| customer.identify.type<mark style="color:red;">\*</mark>   | string | User's identification type - CPF or CNPJ -                                                              |
| customer.identify.number<mark style="color:red;">\*</mark> | string | User's identification number - 11 digits if CPF or 14 digits if CNPJ -                                  |
| customer.name<mark style="color:red;">\*</mark>            | string | User's name                                                                                             |
| customer.email<mark style="color:red;">\*</mark>           | string | User's email                                                                                            |
| customer.phone<mark style="color:red;">\*</mark>           | string | User's phone                                                                                            |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code":"10000",
    "msg":"Success",
    "sub_code":"200",
    "sub_msg":"",
    "prepay_id":"MWo2******3a172",
    "trade_no":"2026****871",
    "out_trade_no":"out_trade_no_88***25",
    "web_url":""
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

### Example

```
curl --location --request POST 'https://security.pagsmile.com/trade/pay' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--data-raw '{
    "app_id": "162************38",
    "out_trade_no": "out_trade_no_88****125",
    "method": "CreditCard",
    "order_currency": "UYU",
    "order_amount": "50",
    "subject": "test 10",
    "content": "test 10",
    "timestamp": "2021-08-04 18:50:42",
    "notify_url": "http://demo.gemini-tiger.cn/callback/success",
    "buyer_id": "buyer123",
    "token": "psct_843****36c8",
    "customer": {
        "identify": {
            "type": "CI",
            "number": "87***71"
        },
        "name": "test",
        "email": "test@mail.com",
        "phone": "59895123456"
    }
}'
```

{% hint style="info" %}
Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
